#include "soccergame.h"
#include "stadium.h"
#include "menuchapping.h"

void SoccerGame::load()
{
	menu=new MenuChapping(this);
	menu->init();
}

void SoccerGame::logicgame()
{
	//Si estamos en el menu
	if(menu!=NULL)
	{
		//Si no salimos del menu
		if(menu->update())
		{
			menu->shutdown();
			delete menu;
			stadium=new Stadium(this);
			stadium->init();
			menu=NULL;
		}
	}
	else
	{
		stadium->update();
	}
}

void SoccerGame::getCollision(Collision &c)
{
	stadium->getCollision(c);
}
